<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 4</title>
	<style type="text/css">
		


	</style>
	<script type="text/javascript">
	
	function mandar(){

		let ventana;

		//creo una variable para almacenar el objeto formulario, de esa forma escribo menos
		let formulario = document.form1;

		//abro una nueva ventana
		ventana = window.open();

		ventana.document.write("El valor de la caja de texto es: ");
		ventana.document.write(formulario.caja.value);
		ventana.document.write("<br>");

		ventana.document.write("El valor del area de texto es: ");
		ventana.document.write(formulario.area.value);
		ventana.document.write("<br>");

		ventana.document.write("Las casillas de verificación seleccionadas son: ");
		ventana.document.write("<br>");
		for (valor in formulario.casilla){

			if (formulario.casilla[valor].checked == true) {

				ventana.document.write(formulario.casilla[valor].value);
				ventana.document.write("<br>");
			}
		}

		ventana.document.write("Los botones de opcion seleccionados en el primer grupo son: ");
		ventana.document.write("<br>");
		for (valor in formulario.botones_radio1){

			if (formulario.botones_radio1[valor].checked == true) {

				ventana.document.write(formulario.botones_radio1[valor].value);
				ventana.document.write("<br>");
			}
		}

		ventana.document.write("Los botones de opcion seleccionados en el segundo grupo son: ");
		ventana.document.write("<br>");
		for (valor in formulario.botones_radio2){

			if (formulario.botones_radio2[valor].checked == true) {

				ventana.document.write(formulario.botones_radio2[valor].value);
				ventana.document.write("<br>");
			}
		}

		ventana.document.write("El valor seleccionado en la lista desplegable es: ");
		ventana.document.write(formulario.lista.options[formulario.lista.selectedIndex].text);
		ventana.document.write("<br>");
		ventana.document.close();

	}		

	</script>
</head>
<body>
	<form action="" method="post" name="form1">
		Campo de tipo Texto
			<input type="text" name="caja"> <br><br>
		Campo de tipo Area de Texto
			<textarea name="area"></textarea> <br><br>

		<input type="checkbox" name="casilla" value="valor1"> Casilla de verificación 1 <br><br>
		<input type="checkbox" name="casilla" value="valor2"> Casilla de verificación 2 <br><br>
		<input type="checkbox" name="casilla" value="valor3"> Casilla de verificación 3 <br><br>

		Grupo de Opciones 1 <br><br>
			<input type="radio" name="botones_radio1" value="radio1"> Boton de radio 1 <br>
			<input type="radio" name="botones_radio1" value="radio2"> Boton de radio 2 <br>
			<input type="radio" name="botones_radio1" value="radio3"> Boton de radio 3 <br><br>

		Grupo de Opciones 2 <br><br>
			<input type="radio" name="botones_radio2" value="radio1"> Boton de radio 1 <br>
			<input type="radio" name="botones_radio2" value="radio2"> Boton de radio 2 <br>
			<input type="radio" name="botones_radio2" value="radio3"> Boton de radio 3 <br><br>

		Lista de valores 
			<select name="lista">
				<option value="el1">Elemento 1</option>
				<option value="el2">Elemento 2</option>
				<option value="el3">Elemento 3</option>
			</select> <br><br>

		<input id="enviar" type="button" onclick="mandar()" value="Enviar">

	</form>
</body>
</html>